register_shutdown_function
unregister_tick_function
Function handling Functions
PHP Manual

# register_tick_function

Register a function for execution on each tick

### Description

bool register_tick_function ( callable `$function` [, mixed `$arg` [, mixed `$...` ]] )

Registers the given `function` to be executed when a tick is called.

### Parameters

`function`

  The function name as a string, or an array consisting of an object and a method.

`arg`

`...`

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 register_tick_function example

`<?php
declare(ticks=1);
// using a function as the callback
register_tick_function('my_function', true);
// using an object->method
$object = new my_class();
register_tick_function(array(&$object, 'my_method'), true);
?>`

### Changelog

Version | Description
--- | ---
5.3.0 | Ticks are now supported on threaded web server modules.

### Notes

Warning

register_tick_function should not be used with threaded web server modules with PHP 5.2 or lower.

### See Also

- declare
- unregister_tick_function